Skip to main content
GET
/
v3
/
meters
/
{meter_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/meters/{meter_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "supply_identifier": "<string>",
      "supply_type": "MPAN",
      "serial_number": "<string>",
      "extra_info": [
        {
          "display_name": "<string>",
          "field": "<string>",
          "value": "<string>"
        }
      ]
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "uprn": 123
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "property": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "psrs": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "settings": {
          "nomenclature": {
            "governance": {
              "schemes": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ],
              "work_orders": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ],
              "operations": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ]
            }
          }
        },
        "description": "<string>"
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

meter_id
string<uuid>
required

The unique identifier for the meter.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
property,
psrs

Response

Get a meter.

JSON API response object

data
object
required

A meter

jsonapi
object
required
included
object[]

Related resources that can be included when a meter is returned

An organisation